Subject: Re: [Tools-discuss] [Int-dir] Proposed change to review assignment email subject

From: Tim Chown <[email-masked]>
Date: Thu, 31 Mar 2022 15:18:19 +0000

Well, then just send two emails, one in old school format, one as a ‘flare’ for attention.

Then those who like it as it is have what they need, and those who are missing assignments have a greater chance of not doing so.

Tim

> On 31 Mar 2022, at 15:42, Robert Sparks <[email-masked]> wrote:
> 
> 
> On 3/31/22 3:58 AM, Tim Chown wrote:
>> On 30 Mar 2022, at 21:03, Robert Sparks <[email-masked]> wrote:
>>> On 3/30/22 12:43 PM, Ted Lemon wrote:
>>>> Sure, but I would think that we /wouldn't/ want a review notification to match that rule, right? Otherwise it's going to get filed in the bucket for the draft and possibly not land on the reviewer's to-do list.
>>> Ted - Other people _want_ these to go into their draft buckets. People have their own workflows, and having draft names in these announcements are already part of them.
>> So send a separate alert to the reviewer, please, that is in a format least likely to be misfiled, parsed or spam foldered.
> That assumes that the likelihood function you point to is the same for everyone, and we're seeing already that it is not. Removing the draft name will introduce errors for some and apparently introduce them for others.
>> 
>> The subject can simply be “New INT-DIR assignment” or something simple like that.  Without any draft name.
>> 
>> That MUST be possible.
> This is starting to sound like a need for personalized subject lines. Would the calendar subscription suggestion made earlier better fill the need?
>> 
>> And I really think this should be discussable and resolved here and not require us to engage in the Git issue tracker
> I already said that it was I thought? But this should move to tools-discuss so we can get all the concerned review team members on one thread (I've added a Reply-To).
>> 
>>> When I am scanning email, I _personally_  want to see the draft name in the subject - a long string of things with a semantic of "you have a new review assignment, read the message or click on some links to find out what it is" is not welcome. Further, if I had some reason to go back later and find the message that pertained to a particular draft, such mining would not be ok.
>> A search can include the message body.
> 
> Not really the right answer in modern mail clients with the volume of mail someone on the I* or who does work in many working groups has to see through.
> 
>>   The current problem is clean receipt.
> 
> And we're disagreeing on one part of what clean receipt requires.
> 
>> 
>> Tim